<?php
return [

['noext', '', 'Unknown file type'],

'dockerfile' => ['code', 'text/yaml', 'Docker Build File'],
'changelog' => ['txt', 'text/plain', 'Docker Build File'],

'sqd' => ['arch', '', 'Archive'],
'zip' => ['arch', '', 'Zip Archive'],
'tar' => ['arch', 'application/x-tar', 'Tar Archive'],
'tar.gz' => ['arch', 'application/x-gzip', 'Compressed Tar Archive'],
'tbz' => ['arch', '', 'Archive'],
'tbz2' => ['arch', '', 'Archive'],
'tgz' => ['arch', 'application/x-gzip', 'Compressed Tar Archive'],
'tar.bz2' => ['arch', 'application/x-bzip', 'Compressed Tar Archive'],
'jar' => ['arch', '', 'Archive'],
'gz' => ['arch', 'application/x-gzip', 'Gzip Compressed Archive'],
'7z' => ['', 'application/x-7z-compressed', 'Compressed Archive'],
'taz' => ['', '', 'Archive'],
'rar' => ['', '', 'Rar Archive'],
'ace' => ['', '', 'Archive'],
'arj' => ['', '', 'Archive'],
'gzip' => ['', 'application/x-gzip', 'Gzip Compressed Archive'],
'cab' => ['', '', 'Archive'],
'bz' => ['', '', 'Bzip Archive'],
'bz2' => ['', 'application/x-bzip', 'Bzip 2 Archive'],
'uu' => ['', '', 'Archive'],
'uue' => ['', '', 'Archive'],
'war' => ['', '', 'Archive'],
'wsz' => ['', '', 'Archive'],
'xxe' => ['', '', 'Archive'],
'z00' => ['', '', 'Archive'],
'jpg' => ['img', 'image/jpeg', 'Jpeg Image'],
'jpeg' => ['img', 'image/jpeg', 'Jpeg Image'],
'jfif' => ['img', 'image/jpeg', 'Jpeg Image'],
'gif' => ['img', 'image/gif', 'GIF Image'],
'png' => ['img', 'image/png', 'PNG Image'],
'jpe' => ['img', 'image/jpeg', 'Jpeg Image'],
'svg' => ['img2', 'image/svg+xml', 'Scalable Vector Graphics'],
'webp' => ['img', 'image/webp', 'WebP Image'],
'erf' => ['raw', '', 'Epson Raw Image'],
'dng' => ['raw', '', 'Digital Negative Image'],
'cr2' => ['raw', 'image/x-canon-cr2', 'Canon Raw Image'],
'cr3' => ['raw', 'image/x-canon-cr3', 'Canon Raw Image'],
'crw' => ['raw', '', 'Canon Raw Image'],
'3fr' => ['raw', '', 'Hasselblad Raw Image'],
'fff' => ['raw', '', 'Hasselblad Raw Image'],
'ppm' => ['raw', '', 'Hasselblad Raw Image'],
'raw' => ['raw', '', 'Raw Image'],
'kdc' => ['raw', '', 'Kodak Raw Image'],
'dcr' => ['raw', '', 'Kodak Raw Image'],
'nef' => ['raw', '', 'Nikon Raw Image'],
'mef' => ['raw', '', 'Mamiya Raw Image'],
'mos' => ['raw', '', 'Mamiya Raw Image'],
'nrw' => ['raw', '', 'Nikon Raw Image'],
'orf' => ['raw', '', 'Olympus Raw Image'],
'raf' => ['raw', '', 'Fuji Raw Image'],
'mrw' => ['raw', '', 'Konica Minolta Raw Image'],
'mdc' => ['raw', '', 'Konica Minolta Raw Image'],
'rw2' => ['raw', '', 'Panasonic Raw Image'],
'pef' => ['raw', '', 'Pentax Raw Image'],
'x3f' => ['raw', '', 'Polaroid Raw Image'],
'srw' => ['raw', '', 'Samsung Raw Image'],
'arw' => ['raw', '', 'Sony Raw Image'],
'iiq' => ['raw', '', 'Phase One Raw Image'],
'xmp' => ['code', 'text/xml', 'Metadata Sidecar'],
'tga' => ['img2', '', 'Targe Image'],
'bmp' => ['img2', 'image/bmp', 'Windows Bitmap Image'],
'jif' => ['img2', 'image/jpeg', 'Jpeg Image'],
'pcd' => ['img2', '', 'Kodak PhotoCD'],
'pcx' => ['img2', '', 'PCX Image'],
'pic' => ['img2', '', 'PIC Image'],
'pix' => ['img2', '', 'PIX Image'],
'psd' => ['img2', 'application/psd ', 'Adobe Photoshop Image'],
'psb' => ['img2', 'application/x-photoshop', 'Adobe Photoshop Image'],
'tif' => ['img2', 'image/tiff', 'Tag Image File Format'],
'tiff' => ['img2', 'image/tiff', 'Tag Image File Format'],
'cdr' => ['img2', '', 'Corel Draw Image'],
'xar' => ['img2', '', ' Xara Image'],
'ai' => ['img2', '', 'Adobe Illustrator File'],
'dcm' => ['img2', 'application/dicom', 'DICOM File'],
'dpx' => ['img2', 'image/x-dpx', 'Digital Picture Exchange'],
'exr' => ['img2', 'image/x-exr', 'OpenEXR Bitmap file'],
'heif' => ['', 'image/heif', 'Image File'],
'heic' => ['img', 'image/heic', 'Image File'],
'mov' => ['wvideo', 'video/quicktime', 'Apple QuickTime Movie'],
'webm' => ['wvideo', 'video/webm', 'WebM Video'],
'mp4' => ['wvideo', 'video/mp4', 'MPEG-4 Video'],
'ogv' => ['wvideo', 'video/ogg', 'Mobile Video'],
'm4v' => ['wvideo', 'video/mp4', 'Copyright-Protected Video'],
'mkv' => ['wvideo', '', 'Matroska Video'],
'mxf' => ['video', 'application/mxf', 'Material Exchange Format'],
'swf' => ['', 'application/x-shockwave-flash', 'Flash Media File'],
'flv' => ['', '', 'Flash Video File'],
'mpg' => ['video', 'video/mpeg', 'MPEG Video'],
'wmv' => ['video', 'video/x-ms-asf', 'Windows Media Video'],
'mpe' => ['video', 'video/mpeg', 'Mpeg Video'],
'mpeg' => ['video', 'video/mpeg', 'Mpeg Video'],
'm2v' => ['video', '', 'Video Only File'],
'avi' => ['video', 'video/x-msvideo', 'Audio Video Interleave'],
'divx' => ['video', 'video/vnd.divx', 'DivX-Encoded Movie'],
'3g2' => ['video', '', 'Mobile Video'],
'3gp' => ['video', 'video/3gpp', 'Mobile Video'],
'asf' => ['video', '', 'Windows Media Container'],
'rm' => ['video', '', 'Video File'],
'aif' => ['audio', 'audio/aiff', 'Audio File'],
'aiff' => ['audio', 'audio/aiff', 'Audio File'],
'ac3' => ['audio', '', 'Audio File'],
'wma' => ['audio', 'audio/x-ms-wma', 'Windows Media Audio'],
'au' => ['audio', '', 'Audio File'],
'avr' => ['audio', '', 'Audio File'],
'bonk' => ['audio', '', 'Audio File'],
'ds2' => ['audio', '', 'Audio File'],
'dss' => ['audio', '', 'Audio File'],
'la' => ['audio', '', 'Audio File'],
'lw' => ['audio', '', 'Audio File'],
'pac' => ['audio', '', 'Audio File'],
'mka' => ['audio', '', 'Audio File'],
'ape' => ['audio', '', 'Audio File'],
'mpc' => ['audio', '', 'Audio File'],
'mp1' => ['audio', '', 'Audio File'],
'mp2' => ['audio', '', 'Audio File'],
'spx' => ['audio', '', 'Audio File'],
'ofs' => ['audio', '', 'Audio File'],
'ra' => ['audio', '', 'Audio File'],
'cda' => ['audio', '', 'Audio File'],
'rka' => ['audio', '', 'Audio File'],
'shn' => ['audio', '', 'Audio File'],
'tta' => ['audio', '', 'Audio File'],
'wv' => ['audio', '', 'Audio File'],
'wvc' => ['audio', '', 'Audio File'],
'caf' => ['audio', 'audio/x-caf', 'Core Audio Format File'],
'aac' => ['mp3', 'audio/aac', 'Advanced Audio Coding Audio File'],
'mp3' => ['mp3', 'audio/mpeg', 'MP3 Audio'],
'ogg' => ['mp3', 'audio/ogg', 'Codec Compressed Multimedia File'],
'opus' => ['mp3', 'audio/opus', 'Opus Audio File'],
'wav' => ['mp3', 'audio/x-wav', 'Wave Audio'],
'm4a' => ['mp3', 'audio/mp4', 'Copyright-Protected Audio'],
'flac' => ['mp3', 'audio/flac', 'Lossless Audio'],
'weba' => ['mp3', 'audio/webm', 'WebM Audio File'],
'm3u' => ['', 'audio/x-mpegurl', 'Audio Playlist'],
'm3u8' => ['', 'audio/x-mpegurl', 'Audio Playlist'],
'pls' => ['', 'audio/x-scpls', 'Audio Playlist'],
'class' => ['code', '', 'Java Application File'],
'h' => ['code', '', 'Header File'],
'bat' => ['txt', '', 'DOS Batch Script'],
'cmd' => ['txt', '', 'Command Script File'],
'sh' => ['txt', '', 'Shell Script'],
'eml' => ['code', '', 'E-mail Message'],
'msg' => ['', '', 'E-mail Message'],
'txt' => ['txt', 'text/plain', 'Text Document'],
'tex' => ['code', 'application/x-tex', 'LaTeX Document'],
'nb' => ['code', 'application/mathematica', 'Mathematica Notebook'],
'md' => ['code', 'text/plain', 'Markdown Document'],
'markdown' => ['code', 'text/plain', 'Markdown Document'],
'readme' => ['txt', 'text/plain', 'Text Document'],
'epub' => ['', 'application/epub+zip', 'E-book File'],
'nfo' => ['txt', 'text/plain', 'Info Text Document'],

'htm' => ['code', 'text/html', 'HTML Document'],
'html' => ['code', 'text/html', 'HTML Document'],
'cfm' => ['code', 'text/html', 'Cold Fusion Markup'],
'wml' => ['code', 'text/vnd.wap.wml', 'Web Document'],
'htt' => ['code', '', 'HTML Template'],
'inc' => ['code', 'text/plain', 'Include File'],
'vbs' => ['code', 'text/plain', 'Visual Basic Script'],
'js' => ['code', 'application/x-javascript', 'JavaScript File'],
'json' => ['code', 'application/json', 'JavaScript Object Notation File'],
'java' => ['code', '', 'Java Application File'],
'jsp' => ['code', '', 'JSP Script'],
'jspx' => ['code', '', 'JSP Script'],
'asp' => ['code', 'text/plain', 'Active Server Pages Script'],
'aspx' => ['code', 'text/plain', 'ASP.NET Script'],
'ashx' => ['code', 'text/plain', 'ASP.NET Web Handler'],
'asmx' => ['code', 'text/plain', 'ASP.NET Webservices Source'],
'axd' => ['code', 'text/plain', 'ASP.NET Application File'],
'pl' => ['code', 'text/plain', 'Perl Script'],
'cgi' => ['code', 'text/plain', 'Web Script'],
'php' => ['code', 'text/plain', 'PHP Script'],
'php3' => ['code', 'text/plain', 'PHP Script'],
'php4' => ['code', 'text/plain', 'PHP Script'],
'py' => ['code', 'text/plain', 'Python Script'],
'rb' => ['code', 'text/plain', 'Ruby Script'],
'rhtml' => ['code', 'text/plain', 'Ruby Script'],
'erb' => ['code', 'text/plain', 'Ruby Script'],
'pxp' => ['code', '', 'Autodesk 3D Studio File'],
'xml' => ['code', 'application/xml', 'XML Web Document'],
'xhtml' => ['code', 'application/xhtml+xml', 'XHTML Document'],
'yaml' => ['code', 'text/yaml', 'YAML Document'],
'yml' => ['code', 'text/yaml', 'YAML Document'],
'sass' => ['code', 'text/plain', 'Syntactically Awesome Style Sheets'],
'css' => ['code', 'text/plain', 'Cascading Style Sheets'],
'tpl' => ['code', 'text/plain', 'Template File'],
'sql' => ['code', 'text/plain', 'SQL Database dump'],
'sub' => ['code', 'text/plain', 'Movie Subtitle'],
'srt' => ['code', 'text/plain', 'Movie Subtitle'],
'log' => ['txt', 'text/plain', 'Log file'],
'ini' => ['code', 'text/plain', 'Configuration File'],
'cfg' => ['code', 'text/plain', 'Config File'],
'conf' => ['code', 'text/plain', 'Config File'],
'htaccess' => ['code', 'text/plain', 'Apache Config File'],
'csv' => ['code', 'text/plain', 'Comma-Separated Values File'],
'tsv' => ['code', 'text/plain', 'Tab-Separated Values File'],
'pages' => ['', 'application/vnd.apple.pages', 'Apple Document'],
'rtf' => ['office', 'text/rtf ', 'Word Document'],
'doc' => ['office', 'application/msword', 'MS Word Document'],
'wri' => ['', 'application/msword', 'MS Word Document'],
'xls' => ['office', 'application/vnd.ms-excel', 'MS Excel Document'],
'pps' => ['office', 'application/vnd.ms-pps', 'MS Power Point Document'],
'ppt' => ['office', 'application/vnd.ms-powerpoint', 'MS Power Point Document'],
'docx' => ['office', 'application/vnd.openxmlformats-officedocument.wordprocessingml.document', 'MS Word Document'],
'xlsx' => ['office', 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet', 'MS Excel Document'],
'pptx' => ['office', 'application/vnd.openxmlformats-officedocument.presentationml.presentation', 'MS Power Point Document'],
'pub' => ['', 'application/x-mspublisher', 'MS Publisher File'],
'odp' => ['ooffice', 'application/vnd.oasis.opendocument.presentation', 'OpenDocument Presentation'],
'fodp' => ['ooffice', 'application/vnd.oasis.opendocument.presentation', 'OpenDocument Presentation'],
'ods' => ['ooffice', 'application/vnd.oasis.opendocument.spreadsheet', 'OpenDocument Spreadsheet'],
'fods' => ['ooffice', 'application/vnd.oasis.opendocument.spreadsheet', 'OpenDocument Spreadsheet'],
'odt' => ['ooffice', 'application/vnd.oasis.opendocument.text ', 'OpenDocument Text'],
'fodt' => ['ooffice', 'application/vnd.oasis.opendocument.text ', 'OpenDocument Text'],
'sxw' => ['ooffice', 'application/vnd.sun.xml.writer', 'OpenOffice Text Document'],
'sxc' => ['ooffice', 'application/vnd.sun.xml.calc', 'OpenOffice Spreadsheet'],
'sxi' => ['ooffice', 'application/vnd.sun.xml.impress', 'OpenOffice Presentation'],
'skp' => ['cad', '', 'SketchUp Document'],
'dwg' => ['cad', 'application/dwg', 'AutoCAD Drawing Database File'],
'dwf' => ['cad', 'model/vnd.dwf', 'Autodesk Design Web Format'],
'dxf' => ['cad', '', 'AutoCAD Drawing Exchange File'],
'rvt' => ['cad', '', 'Autodesk Revit Architecture File'],
'ifc' => ['cad', 'application/x-step', 'IFC Model'],
'fbx' => ['3d', '', '3D Model'],
'obj' => ['3d', 'text/plain', 'Wavefront 3D Model'],
'mtl' => ['3d', 'text/plain', 'Wavefront 3D Model'],
'stl' => ['3d', 'model/stl', '3D Systems Model'],
'dae' => ['3d', 'model/vnd.collada+xml', 'Collada 3D Model'],
'x' => ['3d', '', 'DirextX Model'],
'gltf' => ['3d', 'model/gltf+json', 'GL Transmission Format Model'],
'glb' => ['3d', 'model/gltf-binary', 'Binary GL Transmission Format Model'],
'3ds' => ['3d', 'application/x-3ds', '3DS Max Model'],
'3mf' => ['3d', 'application/vnd.ms-package.3dmanufacturing-3dmodel+xml', '3D Manufacturing File'],
'b3d' => ['', '', 'Blitz3D'],
'url' => ['', 'text/url', 'Web Shortcut'],
'mid' => ['', 'audio/midi', 'Midi Audio'],
'fla' => ['', '', 'Flash Source File'],
'myd' => ['', '', 'MySQL Database File'],
'myi' => ['', '', 'MySQL Database File'],
'qxd' => ['', '', 'Quark Express Document'],
'indd' => ['', '', 'Adobe InDesign File'],
'pdf' => ['pdf', 'application/pdf', 'Acrobat Reader Document'],
'bak' => ['', '', 'Backup File'],
'tmp' => ['', '', 'Temporary File'],
'temp' => ['', '', 'Temporary File'],
'ttf' => ['', 'application/vnd.ms-opentype', 'OpenType Font'],
'otf' => ['', 'application/vnd.ms-opentype', 'OpenType Font'],
'eps' => ['', '', 'Encapsulated PostScript'],
'exe' => ['', '', 'Windows Application'],
'hlp' => ['', '', 'Window Help File'],
'iso' => ['', '', 'Disk Image File'],
'kml' => ['xml', 'application/earthviewer', 'Keyhole Markup Language File'],
'gpx' => ['xml', 'application/gpx+xml', 'GPS Exchange File'],
'kmz' => ['', 'application/vnd.google-earth.kmz', 'Keyhole Markup Language File'],
'dmg' => ['', 'application/x-apple-diskimage', 'Mac OS X Disk Image'],
'ds_store' => ['', '', 'Mac OS X Folder Settings File'],
'upload' => ['', '', 'Temporary File Under Upload'],
'dll' => ['', '', 'Dynamic Link Library'],
'rpm' => ['', '', 'Linux Package File'],
'aes' => ['', '', 'Encrypted File']

];